---
# template: home.html
hide:
  - navigation
  - toc
  - breadcrumbs
  - contributors
---
# Welcome to e-INFRA CZ Documentation!

The home for documentation of all e-INFRA CZ services that are provided to scientific community in the Czech Republic.

<!-- # e-INFRA CZ Data Services -->

<div class="grid cards" markdown>

-   :fontawesome-solid-fingerprint:{ .lg .middle } __e-INFRA CZ Account__

    ---

    Start by setting up your **e-INFRA CZ Account**, which will give you access to all services.

    [:octicons-arrow-right-24: Account creation](./account/creation)   
    [:octicons-arrow-right-24: Accessing your account and services](./account/access)   
    [:octicons-arrow-right-24: Account settings](./account/management/)   
    [:octicons-arrow-right-24: Multi-Factor Authentication](./account/mfa/setup)
<!---  [:octicons-arrow-right-24: Account properties and lifecycle](/account/properties)    
--->


-   :fontawesome-solid-microchip:{ .lg .middle } __Data Processing__

    ---

    Focus on what's important, your research can be accelerated with our **big** servers.

    [:octicons-arrow-right-24: Overview](./compute/)   
    [:octicons-arrow-right-24: Batch computing (Metacentrum Grid)](./compute/grid)   
    [:octicons-arrow-right-24: Compute Cloud (Virtualization)](./compute/openstack/)   
    [:octicons-arrow-right-24: Containers Cloud](./compute/containers/)   
    [:octicons-arrow-right-24: Supercomputing](./compute/supercomputing/)   
    [:octicons-arrow-right-24: Sensitive data processing](./compute/sensitive-cloud)   

-   :fontawesome-solid-floppy-disk:{ .lg .middle } __Data Management & Storage__

    ---

    Need to store **terabytes** of data? No problem. Read what capabilities you have.

    [:octicons-arrow-right-24: Overview](./storage/)   
    [:octicons-arrow-right-24: Storing data](./storage/)   
    [:octicons-arrow-right-24: Sharing data](./storage/)   
    [:octicons-arrow-right-24: Data archivation/backups](./storage/)   
    [:octicons-arrow-right-24: Sensitive data](./storage/)   
    [:octicons-arrow-right-24: More (data repositories, ...)](./storage/)   


</div>

[a]: https://www.cesnet.cz/?lang=en
[b]: https://www.cerit-sc.cz/
[c]: https://www.it4i.cz/en
[g]: emailto:support
