---
hide:
  - toc
  - breadcrumbs
---

# About US

[e-INFRA CZ][d] is a unique research and development e-infrastructure in the Czech Republic,
which provides capacities and resources for the transmission, storage, and processing of scientific and research data.

The project, realized between 01/2020 and 12/2022, was declared by the Ministry of Education, Youth and Sports
in accordance with the Road Map of the Czech Republic for Large Infrastructures for Research, Experimental Development and Innovations.

e-INFRA CZ interconnects all three national e-infrastructures in the Czech Republic – [CESNET][a], [CERIT-SC][b], and [IT4Innovations][c].

## Goals

The goal of the project is to modernise and upgrade current e-infrastructure
in order to provide sufficient capacity of specific e-infrastructure components,
which are necessary for the level of IT infrastructure support to meet the predicted requirements
and needs of the target user community for the given time period and the state-of-the-art of the industry.
Within the context of the basic intent of modernisation and ensuring the required development of e infrastructure,
which is to assist in meeting the trends and requirements of coming years, it is especially necessary to accomplish the following:

* upgrade the parameters and capacity of network communications infrastructure;
* rebuild and further enhance the capacity of infrastructure for demanding calculations;
* boost technological development and expand the capacity of data storage infrastructure.

## How to Read the Documentation

1. Select the subject of interest from the left column (where applicable) or use the Search tool in the upper right corner.
1. Scan for all the notes and reminders on the page.
1. If more information is needed, read the details and **look for examples** illustrating the concepts.

## Required Proficiency

!!! note
    Basic proficiency in Linux environments is required.

In order to use the system for your calculations, you need basic proficiency in Linux environments.
To gain this proficiency, we recommend you to read the [Introduction to Linux][e] operating system environments,
and install a Linux distribution on your personal computer.
For example, the [CentOS][f] distribution is similar to systems on the clusters at IT4Innovations and it is easy to install and use,
but any Linux distribution would do.

## Feedback

If you find any inconsistency or error, please contact [support][g] with details or create a merge request by clicking on **Edit This Page**.
Thank you for helping us improve and provide better content for the readers.

[a]: https://www.cesnet.cz/?lang=en
[b]: https://www.cerit-sc.cz/
[c]: https://www.it4i.cz/en
[d]: https://du.cesnet.cz/en/start
[e]: http://www.tldp.org/LDP/intro-linux/html/
[f]: http://www.centos.org/
