---
languages:
  - en
  - cs
---
Váš účet e-INFRA CZ je **automaticky vytvořen při pokusu o přístup
a zaregistrovat se v rámci první služby** poskytované jedním nebo více provozovateli systému
e-INFRA CZ. Můžete si také *[vytvořit svůj účet](https://signup.e-infra.cz/anyfed/registrar/?vo=e-infra.cz)* předem.

!!!note ""
    Během registrace **se musíte přihlásit pomocí 
    z vaší domovské organizace (např. univerzity)**, abyste mohli prokázat, že jste se přihlásili. 
    vaší totožnosti a dodržení *Podmínek přístupu*. Později můžete 
    přistupovat ke svému účtu a službám stejným způsobem. Více informací naleznete v části 
    [Přístup k účtu a službám](/account/access).

## Podmínky přístupu

Založení účtu e-INFRA CZ je přístupné všem osobám ze zemí EU. 
akademické obce v České republice pouze pro výzkumné účely.

Přesný popis naleznete v dokumentu *Podmínky přístupu* (
[anglická verze](https://www.e-infra.cz/cs/file/8c17a18b8d2d21bade1fe2b4b0efe81c/525/20210408_Podminky_e-INFRA-CZ_EN.pdf)
 / [Czech version](https://www.e-infra.cz/cs/file/59a671ec983f99f18cdf162f4d6cd9ea/380/20210408_Podminky_e-INFRA-CZ_schvaleni.pdf)).

!!! note "Podmínky přístupu ke specifickým službám"
    Kromě výše uvedených *Podmínek přístupu* platí pro každou dílčí službu e-INFRA CZ. 
    může vyžadovat své vlastní přístupové podmínky, které jsou obvykle popsány na stránkách služby 
    registrační stránce.

### Dodržování podmínek přístupu

Dodržování *Podmínek přístupu* (zejména vaše příslušnost k 
akademické organizace) je obvykle automaticky vyhodnoceno během vašeho pobytu na akademické půdě. 
při registraci nebo při přístupu ke službě. Případně můžete být 
požádáni o pravidelné obnovení účtu, při kterém je soulad s předpisy 
znovu kontrolováno.

Technicky vzato, když se přihlásíte ke svému účtu nebo službě e-INFRA CZ s tzv. účtem vaší domovské organizace (např. univerzity), vaše organizace
nám o Vás vydá potřebné informace.

V případě, že vaše shoda nemůže být vyhodnocena automaticky (informace 
vaše organizace neposkytla), můžete být požádáni o provedení některých dalších úkonů ze strany provozovatelů služeb e-INFRA CZ.

## Users' Duties

Based on the amendment of Act No. 130/2002 Coll. on the support of research 
and development from public funds and on the amendment to some related acts, 
which governs the reporting of R&D results generated using large research 
infrastructures (LRIs), users are required to comply with the following 
reporting obligations.

- Mandatory acknowledgment phrase in publications
- Attachment of e-INFRA CZ to R&D results generated using this LRI

!!!note ""
    The acknowledgements and the publication registration are very important.
    It is a necessary procedure that allows us to **continue providing high-end
    computational resources to all academic and research institutions** in the 
    Czech Republic.

### Mandatory Acknowledgment Phrase

Your publications must contain following acknowledgment phrase.

Czech version

    Tato práce byla podpořena Ministerstvem školství, mládeže a tělovýchovy
    České republiky prostřednictvím e-INFRA CZ (ID:90254).

English version

    This work was supported by the Ministry of Education, Youth and Sports of
    the Czech Republic through the e-INFRA CZ (ID:90254).

### Attachment of e-INFRA CZ to R&D Results Generated Using This LRI

When entering a record with your R&D result obtained with the support of e-INFRA CZ into an information system used to centralize the collection and export of your organization's R&D results to RIV, select the e-INFRA CZ research infrastructure from the code list of financial resources.

If this resource is not in your code list, ask the administrator of this information system to add a new financial resource.

The complete information required to add the large e-INFRA CZ research infrastructure to the financial resources code list is as follows:

    LRI name: e-INFRA CZ
    Implementation period: January 1st 2023 - December 31st 2026
    LRI Number/code: 90254
    Type of LRI funding for RIV: J – Large Research Infrastructure
    Funding provider: MEYS
    Programme: LM – Large Research Infrastructure projects for R&D&I
    Principal Investigator: Ing. Jakub Papírník
