---
languages:
  - en
  - cs
---
Your e-INFRA CZ Account is **automatically created when you try to access
and register within the first service** provided by one or more Operators of
the e-INFRA CZ. You can also *[create your account](https://signup.e-infra.cz/anyfed/registrar/?vo=e-infra.cz)* 
in advance.

!!!note ""
    During the registration **you are required to log in with an 
    account from your home organization (e.g. University)** in order to prove 
    your identity and compliance with *Access Conditions*. Later, you can 
    access your account and services in the same way. See more in 
    [Accessing your account and services](/account/access) section.

## Access Conditions

The creation of e-INFRA CZ Account is open to all persons from the 
academic community in the Czech Republic for the research purposes only.

Exact description can be found in *Access Conditions* document (
[English version](https://www.e-infra.cz/cs/file/8c17a18b8d2d21bade1fe2b4b0efe81c/525/20210408_Podminky_e-INFRA-CZ_EN.pdf)
 / [Czech version](https://www.e-infra.cz/cs/file/59a671ec983f99f18cdf162f4d6cd9ea/380/20210408_Podminky_e-INFRA-CZ_schvaleni.pdf)).

!!! note "Service-specific access conditions"
    In addition to above *Access Conditions*, each e-INFRA CZ sub-service 
    may require its own access conditions usually described on the service 
    registration page.

### Compliance With Access Conditions

Your compliance with *Access Conditions* (especially your affiliation with 
academic organization) is usually evaluated automatically during your 
registration or when accessing the service. Alternatively, you can be 
asked to renew your account periodically, during which the compliance is 
checked again.

Technically, when you log in to your e-INFRA CZ Account or service with an 
account from your home organization (e.g. University), your organization
will issue necessary information about you to us.

In case your compliance can't be evaluated automatically (information is not 
provided by your organization) you might be asked to perform some additional 
steps by service operators.

## Users' Duties

Based on the amendment of Act No. 130/2002 Coll. on the support of research 
and development from public funds and on the amendment to some related acts, 
which governs the reporting of R&D results generated using large research 
infrastructures (LRIs), users are required to comply with the following 
reporting obligations.

- Mandatory acknowledgment phrase in publications
- Attachment of e-INFRA CZ to R&D results generated using this LRI

!!!note ""
    The acknowledgements and the publication registration are very important.
    It is a necessary procedure that allows us to **continue providing high-end
    computational resources to all academic and research institutions** in the 
    Czech Republic.

### Mandatory Acknowledgment Phrase

Your publications must contain following acknowledgment phrase.

Czech version

    Tato práce byla podpořena Ministerstvem školství, mládeže a tělovýchovy
    České republiky prostřednictvím e-INFRA CZ (ID:90254).

English version

    This work was supported by the Ministry of Education, Youth and Sports of
    the Czech Republic through the e-INFRA CZ (ID:90254).

### Attachment of e-INFRA CZ to R&D Results Generated Using This LRI

When entering a record with your R&D result obtained with the support of e-INFRA CZ into an information system used to centralize the collection and export of your organization's R&D results to RIV, select the e-INFRA CZ research infrastructure from the code list of financial resources.

If this resource is not in your code list, ask the administrator of this information system to add a new financial resource.

The complete information required to add the large e-INFRA CZ research infrastructure to the financial resources code list is as follows:

    LRI name: e-INFRA CZ
    Implementation period: January 1st 2023 - December 31st 2026
    LRI Number/code: 90254
    Type of LRI funding for RIV: J – Large Research Infrastructure
    Funding provider: MEYS
    Programme: LM – Large Research Infrastructure projects for R&D&I
    Principal Investigator: Ing. Jakub Papírník
