---
title: About e-INFRA CZ Openstack G1 Cloud Brno Site
search:
  exclude: false
---

# [G1 e-INFRA CZ / MetaCentrum / EGI / LifeScience OpenStack Brno Cloud (g1-production)](https://cloud.metacentrum.cz/)

[IaaS OpenStack cloud](https://cloud.metacentrum.cz/) providing cloud services for following organizations:

 - [e-INFRA CZ](https://www.e-infra.cz/en) / [MetaCentrum](https://www.metacentrum.cz/en/index.html)
 - [EGI](https://www.egi.eu/)
 - [Elixir / LifeScience](https://elixir-europe.org/)

## Hardware

MetaCentrum Cloud consists of 17 computational clusters containing 277 hypervisors
with a sum of 8968 cores, 96 GPU cards, and 178 TB RAM. Special demand applications
can utilize our clusters with local SSDs and GPU cards. OpenStack instances, object
storage and image storage can leverage more than 1.5 PTB of highly available data
storage provided by the [CEPH](https://docs.ceph.com/en/pacific/) storage system.

## Software, cloud versions and components

MetaCentrum Cloud is built on top of [OpenStack](https://www.openstack.org/), which is a free open standard cloud computing platform
and one of the top 3 most active open source projects in the world. New OpenStack major versions are
released twice a year. OpenStack functionality is separated into more than 50 services.

[OpenStack Train](https://www.openstack.org/software/train/).

[Following OpenStack components are available](./openstack-components.md).

## Cloud workload

There are over 1500 unique Cloud platform users working in more than 1200 projects.

## Other Techical Info Specific for This Site

 * [List of flavors](./flavors.md)
 * [How to get access](./get-access.md)
 * [Info on networking](./networking.md)
 * [Support](./get-support.md)
 * [Info on quotas](./quota-limits.md)
 * [Specific FAQ](./faq.md)
 * [GPU computing](gpu-computing.md)
