# New Project in SensitiveCloud

We are committed to providing a secure and reliable research environment for data processing, storage, and sharing. Therefore, we have created an on-boarding process for every principal investigator who wants to use the SensitiveCloud.

During this process, our team will work closely with you to determine if our Trusted Research Environment aligns with your specific requirements and needs. After confirmation and agreements, we will train you, and your team, to use computing and storage capabilities of the SensitiveCloud. We will briefly cover principles of safe data processing and handling.

Ready?

# Requesting Project 

Resources of SensitiveCloud can be obtained by contacting support@e-infra.cz. 

For easier communication, please specify in your first request:    

- Project/activity name, acronym - will be used in all our systems and to identify during further communication,    
- Resources wanted - aproximately CPU time, RAM, Storage needs,     
- Short description of the project/activity, which resources will be used for.   
- Duration of the activity/resource allocation. 

We will arrange a meeting, where details of your use-case will be discussed.

!!! example "Example of the first contact"

    Hello.

    I am contacting you regarding a project request for the SensitiveCloud service.   

    We are a group "project/research group/activity name, acronym" that is researching "something" and for this case we would need to store and process data on a secured storage and processing platform.

    We would like to use "10 TB of storage" for our data and we expect to have a growth of "1TB per year". To process this data we would need "20 CPUs, 30GB RAM and 1 NVIDIA A100 GPU". These resources will be used for "10 months".

    The members of our group are:   
    John Wick; email   
    Luke Skywalker; email   

    Thank you

    Principal investigator's name    
    (Digitaly signed)

# What's Next?

- [Connecting to the SensitiveCloud environment][1]
- [Manage who has access to your SensitiveCloud project and data][2]

[1]: ../getting-started/connecting-to-sensitive-cloud
[2]: ../manage-project
