# Project Administration

After we have created a project for you in sensitivecloud, you can manage the following settings as a principal investigator:

- **permissions**, who can access the data and the management portal to manage the computational resources
- the **size of the allocated resources** in case you find that there are insufficient allocated resources for your computations.

## Permissions

Access rights are manageable through the group created for your project, for example `sc_modeling-deathstar-aerodynamics`. In case you have more activities requiring computing resources of SensitiveCloud, you will find more groups starting with `sc_`. Please be careful when selecting the right group when adding/removing members.    
This groups can be found at the following link [perun.e-infra.cz/organizations/3898/groups][vo-einfracz-groups].

### Adding Colleagues to Use Your Project Resources

#### Step 1: Identify Right Group

In the [identity management system][vo-einfracz-groups], search for the name of the group for SensitiveCloud. It starts with prefix `sc_`.

#### Step 2: Select Members

After selecting the right group in the table, click on the "Members" tile. You will enter membership management of the group.

#### Step 3: Invite New Member

Select "Invite" and select if you want to invite one or more members.

#### Step 4: Insert New Member Personal Information

You will have to input members `name` and `e-mail`. Then hit "Invite" button at the bottom of the window.

#### Congratulations

The user will obtain an e-mail notification, where he/she will have to login with the home organization and fill out missing personal information.

### Remove Colleagues From Using Your Project Resources

#### Step 1: Identify Right Group

In the [identity management system][vo-einfracz-groups], search for the name of the group for SensitiveCloud. It starts with prefix `sc_`.

#### Step 2: Select Members

After selecting the right group in the table, click on the "Members" tile. You will enter membership management of the group.

#### Step 3: Check All Members to Remove

In the table, check all members, you would like to remove from the group. You may use the search to identify the right member to remove.

#### Step 4: Remove

Select "Remove" button to remove selected members from the groups.

#### Congratulations

The users will no longer have access to the SensitiveCloud resources that are provided by this group.

## Modify Allocated Project Resources

We are sorry but at the moment this is not self-service operation.
Please, send us a amount of requested resources to the e-mail: trusted@ics.muni.cz.

[vo-einfracz-groups]: https://perun.e-infra.cz/organizations/3898/groups
[1]: https://perunaai.atlassian.net/wiki/spaces/PERUN/pages/94732289/Add+member+to+group
